Ask Your Question
0

Install problem on Linux Mint 12

asked 2012-02-18 16:39:25 -0500

bd.at.rivenhill gravatar image

updated 2012-02-23 15:41:28 -0500

tfoote gravatar image

Looking for some guidance on a very unhelpful error message. I am trying to perform a full desktop install from source for ROS on a machine running Linux Mint 12 using the instructions at http://www.ros.org/wiki/electric/Installation/Ubuntu/Source. For this machine, "uname -a" gives: Linux mobile 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:50:42 UTC 2011 i686 i686 i386 GNU/Linux.

I have used the sections that are specific to Ubuntu 11.10 (Oneiric), on which Mint 12 appears to be based, but I run into an error when running rosinstall (rosinstall ~/ros "http://packages.ros.org/cgi-bin/gen_rosinstall.py?rosdistro=electric&variant=desktop-full&overlay=no"). It appears as if this is somewhere in some Python code (which I have no familiarity with) and the actual message is KeyError: '12'. The raw output is as follows (sorry for the formatting, can't quite work out how to handle line breaks and angle brackets in Markdown):

Bootstrapping ROS build Detected ros_comm bootstrapping it too. [ rosmake ] Packages requested are: ['ros', 'ros_comm'] [ rosmake ] Logging to directory/home/bd/.ros/rosmake/rosmake_output-20120219-112427 [ rosmake ] Expanded args ['ros', 'ros_comm'] to: ['test_rosdep', 'test_rosmake', 'test_rospack', 'test_roslib', 'test_roscreate', 'rosboost_cfg', 'rosemacs', 'rosbash', 'rosclean', 'rospack', 'rosmake', 'rosunit', 'rosdep', 'roscreate', 'roslib', 'rosbuild', 'roslang', 'mk', 'std_srvs', 'std_msgs', 'rosgraph_msgs', 'test_roslib_comm', 'test_roswtf', 'test_rosgraph', 'test_ros', 'test_roslaunch', 'test_rosmaster', 'test_topic_tools', 'test_rospy', 'test_roscpp_serialization_perf', 'test_rostopic', 'test_rosservice', 'test_crosspackage', 'test_rosbag', 'perf_roscpp', 'test_rostest', 'test_rostime', 'test_roscpp_serialization', 'test_roscpp', 'test_rosparam', 'test_rosmsg', 'test_rosnode', 'rosmaster', 'rosparam', 'rosgraph', 'rosnode', 'rosconsole', 'topic_tools', 'rosservice', 'rosbag', 'rosbagmigration', 'roslaunch', 'rostopic', 'rosmsg', 'rosout', 'rostest', 'cpp_common', 'roswtf', 'xmlrpcpp', 'rostime', 'message_filters', 'roscore_migration_rules', 'roslisp', 'rospy', 'roscpp_traits', 'roscpp', 'roscpp_serialization'] [ rosmake ] Generating Install Script using rosdep then executing. This may take a minute, you will be prompted for permissions. . . Traceback (most recent call last): File "/home/bd/ros/ros/bin/rosmake", line 65, in <module> if rma.main(): File "/home/bd/ros/ros/tools/rosmake/src/rosmake/engine.py", line 855, in main self.rosdep_install_result = self.install_rosdeps(buildable_packages, options.rosdep_yes) File "/home/bd/ros/ros/tools/rosmake/src/rosmake/engine.py", line 311, in install_rosdeps r = rosdep.core.Rosdep(packages, robust=True) File "/home/bd/ros/ros/tools/rosdep/src/rosdep/core.py", line 343, in __init__ self.osi = roslib.os_detect.OSDetect(os_list) File "/home/bd/ros/ros/core/roslib/src/roslib/os_detect.py", line 535, in __init__ self.detect_os() File "/home/bd/ros/ros/core/roslib/src/roslib/os_detect.py", line 554, in detect_os self._os_version = os_class.get_version() File "/home/bd/ros/ros/tools/rosdep/src/rosdep/debian.py", line 133, in get_version return self.version_map[self.mint_detector.get_version()] KeyError: '12' Traceback (most recent call last): File "/home/bd/ros/ros/bin/rosmake", line 65, in <module> if rma.main(): File "/home/bd/ros/ros/tools/rosmake/src/rosmake/engine.py", line 855, in main self.rosdep_install_result = self.install_rosdeps(buildable_packages, options.rosdep_yes) File "/home/bd/ros/ros/tools/rosmake/src/rosmake/engine.py", line 311, in install_rosdeps r = rosdep.core.Rosdep(packages, robust=True) File "/home/bd/ros/ros/tools/rosdep/src/rosdep/core.py", line 343, in __init__ self ... (more)

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
2

answered 2012-02-19 04:11:35 -0500

bd.at.rivenhill gravatar image

The problem was caused by missing entries in ros/tools/rosdep/src/rosdep/debian.py and core.py (as noted in a previous answer). Note that the debian.py mapping in self.version_map for the Mint class appears to have changed from using version numbers to code names as of Ubuntu 11.10/Mint 12. See my patch at https://code.ros.org/trac/ros/ticket/3858 for details.

edit flag offensive delete link more
1

answered 2012-02-19 02:13:36 -0500

Alexandr Buyval gravatar image

Try add your OS in row

rep111version_map = {'lucid':'10.04', 'maverick':'10.10', 'natty':'11.04'}

in file "/opt/ros/electric/ros/tools/rosdep/src/rosdep/core.py"

edit flag offensive delete link more

Comments

Helpful, but not the solution see my ticket for details: https://code.ros.org/trac/ros/ticket/3858

bd.at.rivenhill gravatar imagebd.at.rivenhill ( 2012-02-19 04:08:02 -0500 )edit
0

answered 2012-04-11 05:43:44 -0500

tayyab gravatar image

updated 2012-04-11 05:58:28 -0500

Try add your OS in row

rep111version_map = {'lucid':'10.04', 'maverick':'10.10', 'natty':'11.04','oneiric':'11.10'}

and in debian.py add '12':'oneiric' *

self.version_map = { '12':'oneiric', '11':'11.04', '10':'10.10', '9':'10.04', '8':'9.10', '7':'9.04', '6':'8.10', '5':'8.04'}

Worked for me, hope it helps :)

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-02-18 16:39:25 -0500

Seen: 1,193 times

Last updated: Apr 11 '12